/*
 * Defines macros to set and clear the port pins
 */

#ifndef __PIN_ACCESS_H__
#define __PIN_ACCESS_H__

#define READ(U, N) ((U) >> (N) & 1u)
#define SET(U, N) ((void)((U) |= 1u << (N)))
#define CLR(U, N) ((void)((U) &= ~(1u << (N))))
#define FLIP(U, N) ((void)((U) ^= 1u << (N)))

#endif
